#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libfm-qt
Version		:	1.4.0
Release		:	17.2.0.rel%{?dist}
Summary		:	libfm-qt is the Qt port of libfm.
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/libfm-qt/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libfm
BuildRequires	:	libexif
BuildRequires	:	lxqt-build-tools
BuildRequires	:	lxqt-menu-data
BuildRequires	:	mesa-devel
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qt5-qtx11extras-devel
#-----------------------------------------------------------------------------
%description
libfm-qt is the Qt port of libfm, a library providing components
to build desktop file managers which belongs to LXDE.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS LICENSE README.md
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/core/*.h
%{_includedir}/%{name}/core/legacy/*.h
%{_includedir}/%{name}/core/vfs/*.h
%{_includedir}/%{name}/customactions/*.h
%{_libdir}/%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/cmake/fm-qt/fm-qt-*.cmake
%{_datadir}/%{name}/*.list
%{_datadir}/mime/packages/%{name}-*.xml
%{_datadir}/%{name}/translations/%{name}_*.qm

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D GLIB_GIO_UNIX_INCLUDE_DIR=%{_includedir}/gio-unix-2.0\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

#-----------------------------------------------------------------------------
%changelog
